Subject: Re: [PATCH] powerpc: Fix DEBUG_HIGHMEM build break from d4515646699

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 01 Dec 2009 06:49:43 +1100

On Mon, 2009-11-30 at 12:57 -0500, Josh Boyer wrote:
> On Mon, Nov 23, 2009 at 04:28:53PM -0600, Becky Bruce wrote:
> >Code was added to mm/higmem.c that depends on several
> >kmap types that powerpc does not support.  We add dummy
> >invalid definitions for KM_NMI, KM_NM_PTE, and KM_IRQ_PTE.
> >
> >According to list discussion, this fix should not be needed
> >anymore starting with 2.6.33.  The code is commented to this
> >effect so hopefully we will remember to remove this.
> >
> >Signed-off-by: Becky Bruce <[email-masked]>
> 
> Ben, I see you have this queued up in you 'next' branch, but this seems to be
> impacting 2.6.32 and according to the comments won't be needed in 2.6.33.
> Right now, 2.6.32 doesn't build for a general Fedora ppc32 kernel because of
> this bug.  Should this be sent to Linus for .32?

Why would fedora have DEBUG_HIGHMEM enabled ? I'll see what I can do.

> ( http://ppc.koji.fedoraproject.org/koji/getfile?taskID=31439&name=build.log
> for the curious among you that want to look at the build log)

Cheers,
Ben.